{
  "type" : "record",
  "name" : "Aneuploidy",
  "namespace" : "org.gel.models.report.avro",
  "fields" : [ {
    "name" : "iscn",
    "type" : [ "null", "string" ],
    "doc" : "International System for Human Cytogenetic Nomenclature (.e.g: \"+14p+\", \"+t(13q21 q)\")"
  }, {
    "name" : "assembly",
    "type" : {
      "type" : "enum",
      "name" : "Assembly",
      "doc" : "The reference genome assembly",
      "symbols" : [ "GRCh38", "GRCh37" ]
    },
    "doc" : "The assembly"
  }, {
    "name" : "chromosome",
    "type" : "string",
    "doc" : "Chromosome involved in the aneuploidy"
  }, {
    "name" : "complete",
    "type" : "boolean",
    "doc" : "Wheter the aneuploidy is for the whole chromosme or just a fragment"
  }, {
    "name" : "coordinates",
    "type" : [ "null", {
      "type" : "record",
      "name" : "Coordinates",
      "fields" : [ {
        "name" : "assembly",
        "type" : "Assembly",
        "doc" : "The assembly to which this variant corresponds"
      }, {
        "name" : "chromosome",
        "type" : "string",
        "doc" : "Chromosome without \"chr\" prefix (e.g. X rather than chrX)"
      }, {
        "name" : "start",
        "type" : "int",
        "doc" : "Start genomic position for variant (1-based)"
      }, {
        "name" : "end",
        "type" : "int",
        "doc" : "End genomic position for variant"
      }, {
        "name" : "ciStart",
        "type" : [ "null", {
          "type" : "record",
          "name" : "ConfidenceInterval",
          "fields" : [ {
            "name" : "left",
            "type" : "int"
          }, {
            "name" : "right",
            "type" : "int"
          } ]
        } ]
      }, {
        "name" : "ciEnd",
        "type" : [ "null", "ConfidenceInterval" ]
      } ]
    } ],
    "doc" : "Coordinates can be specified to indicate the part of the chromosome affected"
  }, {
    "name" : "numberOfCopies",
    "type" : "int",
    "doc" : "Number of copies"
  } ]
}
